> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eqxpay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single collection by ID



## OpenAPI

````yaml GET /v1/collections/{id}
openapi: 3.0.0
info:
  title: EQXPay API
  description: >-
    EQX v2.5 staging API for admin, liquidity-provider, and integrator
    operations.
  version: 2.5.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/collections/{id}:
    get:
      tags:
        - Collections
      summary: Get a single collection by ID
      operationId: CollectionsController_getCollection
      parameters:
        - name: id
          required: true
          in: path
          description: Collection UUID
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionResponseDto'
        '401':
          description: Unauthorized
        '404':
          description: Collection not found or not owned by integrator
      security:
        - bearer: []
components:
  schemas:
    CollectionResponseDto:
      type: object
      properties:
        collection_id:
          type: string
          example: e3d4b5c6-...
        integrator_id:
          type: string
          example: f1a2b3c4-...
        market:
          type: string
          example: MW
        rail:
          type: string
          example: mobile_money
        amount:
          type: number
          example: 5000
        currency:
          type: string
          example: MWK
        reference:
          type: string
          example: INV-2026-001
        status:
          type: string
          example: pending
          description: >-
            Canonical status: created | pending | processing | successful |
            failed | expired | refunded | reversed
        customer:
          type: object
          example:
            phone_number: '+265991234567'
        metadata:
          type: object
          example:
            order_id: ORD-123
        payment_instruction:
          type: object
          description: >-
            Provider payment instruction (e.g. USSD string, STK reference); null
            when provider is purely async
          example: null
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
        expires_at:
          format: date-time
          type: string
      required:
        - collection_id
        - integrator_id
        - market
        - rail
        - amount
        - currency
        - reference
        - status
        - customer
        - created_at
        - updated_at
        - expires_at
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````